/* Provides functions to generate landscapes. */

#ifndef __GENERATE_H__
#define __GENERATE_H__

/* Set seed for next world.
This function calls srand but also resets the gaussian random number generator. */
void generate_seed(const unsigned int seed);

/* Generate new world. */
void generate_flat();
void generate_flight();
void generate_island();
void generate_cave();
void generate_desert();
void generate_aether();

// HACK
void generate_islandII();

#endif
