About
=====

Build Minimal is designed to be a very simple Minecraft type game to run on low end hardware. Hopefully the simple implementation will make playing with ideas easier as well.
The game is written in C and is meant for creative rather than survival style play (no mobs, simplistic physics). It is aimed at people wanting to hack around with the game, as such it is launched from the command line, can be heavily modified via the source code and has a very basic GUI.

Compiling
==========

Change any configuration by copying config.h.skeleton to config.h and (un)commenting macros. You can toggle lighting and physics (for performance) and fog (because it is broken on some GPUs).
Run build-debug.sh for a binary with debugging output and safety checks.
Run build-release.sh for an optimised binary.

I'm afraid Windows and OSX users are on mostly their own.

Dependencies:

- C compiler (tested with GCC)
- SDL2
- SDL2 Image
- SDL2 Mixer
- OpenGL >=1.5

Running
=======

Controls:

- movement: w/a/s/d/q/e
- toggle flying: tab
- quit: escape (hold control to prevent world being saved)
- release cursor: shift-escape
- destroy block: z/left-click
- copy block: shift-z
- place block: x/right-click/control+z
- switch block: -/=/wheel-up/wheel-down
- switch to binding: bound key
- store to binding: control+[key to bind]
