Using VBOs because rendering is much more efficient when the VBO isn't being updated in comparison to using a vertex array.
VBOs also allow partial updating, which is hopefully much quicker than reloading a whole VBO or vertex array.
Being able to take advantage of partial updates without lots of extra code means having every voxel in existence and just updating the texture applied to it. This avoids needing to reload the whole vertex data array whenever a block changes.
Unfortunately this requires enough graphics memory to hold the whole game world, even if most of the world is empty. This will limit the size of the world to small values. Probably less than 50x50x50 voxels (~60MB, including only vertex and texture coordinates using optimal packing).
Hopefully this won't be a problem as the design of the game depends on the world be extremely small. This may mean I can reduce the system requirements in other ways because the world is guaranteed to be so small.

Oh, wrong!